using System;
using System.Collections.Generic;
using TheGameExtreme.model.card;

namespace TheGameExtreme.model.deck
{
    public abstract class Deck
    {

        protected List<Card> deck = new List<Card>();

        public int size()
        {
            return deck.Count;
        }

        public void removeAt(int index)
        {
            deck.RemoveAt(index);
        }

        public Card getCard(int index)
        {
            return deck[index];
        }
    }
}
